IDA SDK

- Main Page
- Header Files
- Classes
- Modules

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | Public Member Functions | List of all members
bpt_location_t Struct Reference
Debugger functions » Breakpoints

## Detailed Description

Describes a breakpoint location.

## Public Attributes
ea_t | info
int | index
bpt_loctype_t | loctype

## Public Member Functions
bpt_loctype_t | type (void) const
| Get bpt type.
bool | is_empty_path (void) const
| No path/filename specified? (BPLT_REL, BPLT_SRC)
const char * | path (void) const
| Get path/filename (BPLT_REL, BPLT_SRC)
const char * | symbol (void) const
| Get symbol name (BPLT_SYM)
int | lineno (void) const
| Get line number (BPLT_SRC)
uval_t | offset (void) const
| Get offset (BPLT_REL, BPLT_SYM)
ea_t | ea (void) const
| Get address (BPLT_ABS)
| bpt_location_t (void)
| Constructor (default type is BPLT_ABS)
void | set_abs_bpt (ea_t a)
| Specify an absolute address location.
void | set_src_bpt (const char *fn, int _lineno)
| Specify a source level location.
void | set_sym_bpt (const char *_symbol, uval_t _offset=0)
| Specify a symbolic location.
void | set_rel_bpt (const char *mod, uval_t _offset)
| Specify a relative address location.
int | compare (const bpt_location_t &r) const
| Lexically compare two breakpoint locations. More...
bool | operator== (const bpt_location_t &r) const
bool | operator!= (const bpt_location_t &r) const
bool | operator< (const bpt_location_t &r) const
bool | operator> (const bpt_location_t &r) const
bool | operator<= (const bpt_location_t &r) const
bool | operator>= (const bpt_location_t &r) const
size_t | print (char *buf, size_t bufsize) const
| Internal function.

## Member Function Documentation

int bpt_location_t::compare | ( | const bpt_location_t & | r | ) | const
| inline

Lexically compare two breakpoint locations.

Bpt locations are first compared based on type (i.e. BPLT_ABS < BPLT_REL). BPLT_ABS locations are compared based on their ea values. For all other location types, locations are first compared based on their string (path/filename/symbol), then their offset/lineno.

The documentation for this struct was generated from the following file:

- dbg.hpp